export declare class Node {
    nodeName: string;
    nodeType: number;
    childNodes: Node[];
    parentNode: Node | undefined;
    constructor(nodeName: string);
    appendChild(child: Node): Node;
    insertBefore(child: Node, referenceNode: Node): Node;
    removeChild(child: Node): Node;
    replaceChild(newChild: Node, oldChild: Node): Node;
    contains(child: Node): boolean;
    readonly firstChild: Node | undefined;
    readonly lastChild: Node | undefined;
    readonly nextSibling: Node | undefined;
    readonly previousSibling: Node | undefined;
    textContent: string;
}
